Bug 692358 - [eclipse-nls-de] rebase to 3.6 to fix message error: "Unknown format at"
[eclipse-nls-de] rebase to 3.6 to fix message error: "Unknown format at"
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: eclipse-nls (Show other bugs)
6.0
i686 Linux
medium Severity medium
: rc
: ---
Assigned To: Jens Petersen
QE Internationalization Bugs
: Rebase
Depends On:
Blocks: 860307
  Show dependency treegraph
 
Reported: 2011-03-31 02:35 EDT by Fred F
Modified: 2013-02-21 03:57 EST (History)
17 users (show)

See Also:
Fixed In Version:
Doc Type: Rebase: Bug Fixes and Enhancements
Doc Text:
eclipse-nls has been updated to newer translations from the upstream Eclipse Babel project to match the current shipped version of Eclipse.
Story Points: ---
Clone Of: 653344
: 860307 (view as bug list)
Environment:
Last Closed: 2013-02-21 03:57:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Fred F 2011-03-31 02:35:34 EDT
The periodic error message is produced by this package:
eclipse-nls-de-3.5.0.v20090620043401-4.el6.i686

It only appears when working with projects which contain error messages.


$> rpm -qa | grep eclipse
eclipse-cdt-6.0.2-3.el6.i686
eclipse-mylyn-java-3.3.2-4.5.el6.i686
eclipse-swt-3.5.2-5.el6.i686
eclipse-gef-3.5.2-1.el6.i686
eclipse-subclipse-1.6.5-6.el6.i686
eclipse-mylyn-3.3.2-4.5.el6.i686
eclipse-nls-de-3.5.0.v20090620043401-4.el6.i686
eclipse-birt-2.5.2-1.el6.i686
jetty-eclipse-6.1.21-1.el6.noarch
eclipse-linuxprofilingframework-0.3.0-5.el6.i686
eclipse-valgrind-0.5.0-1.el6.i686
icu4j-eclipse-4.0.1-3.3.el6.i686
eclipse-dtp-1.7.2-1.el6.i686
eclipse-svnkit-1.3.0-3.el6.i686
eclipse-callgraph-0.5.0-1.el6.i686
eclipse-rse-3.1.2-1.el6.i686
eclipse-changelog-2.6.7-5.el6.i686
eclipse-rpm-editor-0.5.0-2.el6.i686
eclipse-nls-3.5.0.v20090620043401-4.el6.i686
eclipse-nls-de-3.5.0.v20090620043401-4.el6.i686
eclipse-platform-3.5.2-5.el6.i686
eclipse-jdt-3.5.2-5.el6.i686
eclipse-oprofile-0.5.0-1.el6.i686
eclipse-rcp-3.5.2-5.el6.i686
eclipse-emf-2.5.0-4.4.el6.i686

+++ This bug was initially created as a clone of Bug #653344 +++

Description of problem:
Periodically my eclipse shows me an error about a malformatted message. This is a german locale. Not sure what plugin causes this.

Version-Release number of selected component (if applicable):
[choeger@elrond page-runtime]$ rpm -qa | grep eclipse
tomcat5-jasper-eclipse-5.5.27-7.4.fc12.noarch
eclipse-mylyn-java-3.4.0-4.fc14.noarch
eclipse-gef-3.6.0-1.fc14.noarch
eclipse-nls-de-3.5.0.v20090620043401-2.fc12.noarch
eclipse-dtp-1.8.0-1.fc14.noarch
eclipse-jgit-0.9.3-1.fc14.noarch
eclipse-nls-3.5.0.v20090620043401-2.fc12.noarch
eclipse-oprofile-0.6.1-1.fc14.x86_64
eclipse-pydev-1.6.1-1.fc14.x86_64
eclipse-birt-2.5.2-1.fc14.noarch
eclipse-subclipse-1.6.12-1.fc14.noarch
eclipse-rpm-editor-0.6.0-1.fc14.x86_64
eclipse-jdt-3.6.1-2.fc14.x86_64
eclipse-linuxprofilingframework-0.6.1-1.fc14.x86_64
eclipse-collabnet-merge-2.0.0-1.fc13.noarch
eclipse-cdt-7.0.1-2.fc14.x86_64
eclipse-valgrind-0.6.1-1.fc14.x86_64
eclipse-platform-3.6.1-2.fc14.x86_64
eclipse-emf-2.6.0-2.fc14.noarch
eclipse-mylyn-3.4.0-4.fc14.noarch
eclipse-rcp-3.6.1-2.fc14.x86_64
eclipse-changelog-2.6.7-5.fc14.x86_64
eclipse-pde-3.6.1-2.fc14.x86_64
eclipse-svnkit-1.3.3-5.fc14.noarch
eclipse-callgraph-0.6.1-1.fc14.x86_64
eclipse-egit-0.9.3-1.fc14.noarch
icu4j-eclipse-4.2.1-1.fc14.x86_64
eclipse-swt-3.6.1-2.fc14.x86_64
eclipse-rse-3.2-1.fc14.noarch


How reproducible:
always

Steps to Reproduce:
1. Start eclipse
2. Save some java file
  
Actual results:
error message pops up

Additional info:
Stack trace from log:

java.lang.IllegalArgumentException: unknown format type at 
	at com.ibm.icu.text.MessageFormat.makeFormat(MessageFormat.java:2069)
	at com.ibm.icu.text.MessageFormat.applyPattern(MessageFormat.java:571)
	at com.ibm.icu.text.MessageFormat.<init>(MessageFormat.java:420)
	at com.ibm.icu.text.MessageFormat.format(MessageFormat.java:1109)
	at org.eclipse.ui.internal.views.markers.ExtendedMarkersView.getStatusMessage(ExtendedMarkersView.java:890)
	at org.eclipse.ui.internal.views.markers.ExtendedMarkersView.updateTitle(ExtendedMarkersView.java:1395)
	at org.eclipse.ui.internal.views.markers.UIUpdateJob.runInUIThread(UIUpdateJob.java:117)
	at org.eclipse.ui.progress.UIJob$1.run(UIJob.java:95)
	at org.eclipse.swt.widgets.RunnableLock.run(RunnableLock.java:35)
	at org.eclipse.swt.widgets.Synchronizer.runAsyncMessages(Synchronizer.java:134)
	at org.eclipse.swt.widgets.Display.runAsyncMessages(Display.java:3515)
	at org.eclipse.swt.widgets.Display.readAndDispatch(Display.java:3164)
	at org.eclipse.ui.internal.Workbench.runEventLoop(Workbench.java:2640)
	at org.eclipse.ui.internal.Workbench.runUI(Workbench.java:2604)
	at org.eclipse.ui.internal.Workbench.access$4(Workbench.java:2438)
	at org.eclipse.ui.internal.Workbench$7.run(Workbench.java:671)
	at org.eclipse.core.databinding.observable.Realm.runWithDefault(Realm.java:332)
	at org.eclipse.ui.internal.Workbench.createAndRunWorkbench(Workbench.java:664)
	at org.eclipse.ui.PlatformUI.createAndRunWorkbench(PlatformUI.java:149)
	at org.eclipse.ui.internal.ide.application.IDEApplication.start(IDEApplication.java:115)
	at org.eclipse.equinox.internal.app.EclipseAppHandle.run(EclipseAppHandle.java:196)
	at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication(EclipseAppLauncher.java:110)
	at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start(EclipseAppLauncher.java:79)
	at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:369)
	at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:179)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:57)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
	at java.lang.reflect.Method.invoke(Method.java:616)
	at org.eclipse.equinox.launcher.Main.invokeFramework(Main.java:619)
	at org.eclipse.equinox.launcher.Main.basicRun(Main.java:574)
	at org.eclipse.equinox.launcher.Main.run(Main.java:1407)
	at org.eclipse.equinox.launcher.Main.main(Main.java:1383)

--- Additional comment from greubel@nkey.de on 2010-11-21 06:43:14 EST ---

Workaround: Remove the nls package for eclipse. In my case this was

Nov 21 12:39:20 Erased: eclipse-nls-de

Then the problem seems to be gone.

--- Additional comment from akurtako@redhat.com on 2010-11-22 02:49:21 EST ---

So this is a problem with eclipse-nls. Changing component.

--- Additional comment from choeger@cs.tu-berlin.de on 2010-11-23 17:04:05 EST ---

Yeah, seems to be a bad formatted translation string. I hoped someone with a little more spare time then me currently could figure out what string that was from the backtrace and fix it. Maybe I could do it next week if noone steps in.

--- Additional comment from greubel@nkey.de on 2010-11-24 01:30:54 EST ---

If it helps: it occurs any time, when some entry in the error log appear (or maybe also disappear - not tested). For example, if you compile a C Makefile project which has some warnings (unused variables, etc.)

--- Additional comment from sflaniga@redhat.com on 2010-11-29 00:06:25 EST ---

I haven't had a chance to reproduce the problem yet, but does anyone want to try the updated lang packs to see if they fix the problem?

http://koji.fedoraproject.org/koji/taskinfo?taskID=2631446

You'll need to grab the base rpm:
 eclipse-nls-3.6.0.v20100814043401-1.fc15.noarch.rpm 
plus the 'de' rpm:
 eclipse-nls-de-3.6.0.v20100814043401-1.fc15.noarch.rpm

--- Additional comment from sflaniga@redhat.com on 2010-11-29 02:26:52 EST ---

Another build, basically the same as the last one:
http://koji.fedoraproject.org/koji/buildinfo?buildID=206810

Again, you'll need to grab the base eclipse-nls rpm:

http://kojipkgs.fedoraproject.org/packages/eclipse-nls/3.6.0.v20100814043401/2.fc15/noarch/eclipse-nls-3.6.0.v20100814043401-2.fc15.noarch.rpm

plus the eclipse-nls-de rpm:

http://kojipkgs.fedoraproject.org/packages/eclipse-nls/3.6.0.v20100814043401/2.fc15/noarch/eclipse-nls-de-3.6.0.v20100814043401-2.fc15.noarch.rpm

--- Additional comment from updates@fedoraproject.org on 2010-12-09 20:08:13 EST ---

eclipse-nls-3.6.0.v20100814043401-2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/eclipse-nls-3.6.0.v20100814043401-2.fc14

--- Additional comment from updates@fedoraproject.org on 2010-12-10 15:25:50 EST ---

eclipse-nls-3.6.0.v20100814043401-2.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update eclipse-nls'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/eclipse-nls-3.6.0.v20100814043401-2.fc14

--- Additional comment from greubel@nkey.de on 2010-12-28 07:37:29 EST ---

Installed using the recommended command, started eclipse, rebuild a project which contains warnings (CDT).

eclipse-nls-de-3.6.0.v20100814043401-2.fc14.noarch solves the problem for me.

Thank you.

--- Additional comment from updates@fedoraproject.org on 2011-01-04 15:59:46 EST ---

eclipse-nls-3.6.0.v20100814043401-2.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 2 RHEL Product and Program Management 2011-03-31 02:57:46 EDT
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unfortunately unable to
address this request at this time. Red Hat invites you to
ask your support representative to propose this request, if
appropriate and relevant, in the next release of Red Hat
Enterprise Linux. If you would like it considered as an
exception in the current release, please ask your support
representative.
Comment 6 Jens Petersen 2011-06-20 02:06:37 EDT
Planning to backport eclipse-nls-3.6.0.v20100814043401-2 for this from fedora.
Comment 10 Lijun Li 2011-07-12 06:14:50 EDT
Verified it on eclipse-nls-de-3.6.0.v20100814043401-2.el6.x86_64, it's fixed.
Comment 15 Jens Petersen 2011-07-13 23:51:28 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
eclipse-nls has been updated to newer translations from the upstream Eclipse Babel project to match the current shipped version of Eclipse.
Comment 25 Suzanne Yeghiayan 2012-01-31 16:13:06 EST
This request was evaluated by Red Hat Product Management for inclusion in the
current release of Red Hat Enterprise Linux. Because the affected component is
not scheduled to be updated in the current release, Red Hat is unfortunately
unable to address this request at this time.  It has been proposed for the next
release. If you would like it considered as an exception in the current
release, please ask your support representative.
Comment 26 Jens Petersen 2012-05-15 03:09:57 EDT
Given that el6 eclipse is now 3.6 we really should update eclipse-nls too to keep it in sync.
Comment 28 Jens Petersen 2012-09-04 06:12:56 EDT
Sean, current Fedora releases have 3.6.0.v20100814043401.
Are there upstream translations for 3.6.1 we can use for this?
Comment 29 Sean Flanigan 2012-09-04 20:17:55 EDT
Not specifically for 3.6.1, but these are the latest langpacks (R0.10.0) for the 3.6 stream: http://download.eclipse.org/technology/babel/babel_language_packs/R0.10.0/helios/helios.php

All the zipped langpacks are linked from http://www.eclipse.org/babel/downloads.php (3.6 is Helios, 3.7 is Indigo, 4.2 is Juno)
Comment 40 errata-xmlrpc 2013-02-21 03:57:17 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2013-0357.html

Note You need to log in before you can comment on or make changes to this bug.